<back to all web services

GetRelatedItems

The following routes are available for this service:
GET/RestApi/translations/related
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Response.Translations

Namespace Global

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request.Translations

        Public Partial Class GetRelatedItems
            Public Overridable Property Ids As Guid()
        End Class
    End Namespace

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Response.Translations

        Public Partial Class RelatedItemsProxy
            Public Overridable Property TranslationsCount As Integer
            Public Overridable Property ProjectsCount As Integer
        End Class
    End Namespace
End Namespace

VB.NET GetRelatedItems DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/related HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"TranslationsCount":0,"ProjectsCount":0}